Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
bear66 Posted on 09/09/2019 17:15
Should pavement parking be banned?
 
 
[?]
IP: Logged
keelo Posted on 09/09/2019 17:18

Should pavement parking be banned?

 
Its gonna have big logistical problems for homeowners without drives, our road wasnt built for the amount of cars flying about, and they are against concreting front gardens..
IP: Logged
Boromart Posted on 09/09/2019 17:21

Should pavement parking be banned?

 
technically you can already be fined for parking on a pavement if it obstructs the public access to the path.
IP: Logged
keelo Posted on 09/09/2019 17:27

Should pavement parking be banned?

 
Technically you can as parking the wrong way round on a street but i had to wait till i did it in Germany before I got done,€60, they dont seem to give a toss here thank goodness
IP: Logged
Fuchs_ache Posted on 09/09/2019 17:28

Should pavement parking be banned?

 
The councils best get ready with the double yellow lines then, most streets aren’t wide enough for cars to double park, especially for a fire engine.
IP: Logged
Corcaigh_the_Cat Posted on 09/09/2019 17:39

Should pavement parking be banned?

 
I can see yellow paint salesman rubbing their hands together.
IP: Logged
turnoffsaysthestar Posted on 09/09/2019 17:44

Should pavement parking be banned?

 
The people with blue badges clog up our streets and usually it's not anybody struggling as off they pop to play bowls, fitter than me half of them.
IP: Logged
TheFair86 Posted on 09/09/2019 17:52

Should pavement parking be banned?

 
🎣
IP: Logged
LeFlem Posted on 09/09/2019 17:55

Should pavement parking be banned?

 
The problem comes in when thoughtless axxxx hxxxx park on the kerb forcing people to walk on the road especially mothers with prams
IP: Logged
Anton_Berg Posted on 09/09/2019 17:56

Should pavement parking be banned?

 
Pavement parking has been banned as long as I can remember in all of London. There are plenty of narrow streets. Sometimes there is 'designated pavement parking' with lines and signage. It always seemed odd to me when visiting Teesside that people have to do this on reasonably wide roads on new estates etc, stopping buggies or mobility scooters getting past on the pavement.
Everyone does it because no-one wants to be salient when cars are wizzing along. But if everyone parked properly, the traffic would have slow down to a safe speed (if only for the sake their own door mirrors), and the risk of collisions would then be the same or less than if you had pavement parking.
IP: Logged
bear66 Posted on 09/09/2019 18:06

Should pavement parking be banned?

 
I'd prefer it was left a grey area as sometimes, with a wide pavement and narrow road, pavement parkng would seem to be a sensible option. The Highyway Code also says "You MUST NOT leave your vehicle or trailer in a dangerous position or where it causes any unnecessary obstruction of the road." Pavement parking may reduce the possibility of obstruction on a narrow road. I generally park on road unless I believe I'll cause more problems than parking on a pavement. Although it is illegal in London, there are a lot of roads where everyone parks on the pavement (so that the bin man can pass!).
IP: Logged
Sortie Posted on 09/09/2019 18:13

Should pavement parking be banned?

 
Pavements/footways/footpaths are for pedestrians.

They're not constructed for vehicles.

Similarly they're (generally) not for use by cyclists. I look forward to the day the police start enforcement.
IP: Logged
autism_awareness Posted on 09/09/2019 18:16

Should pavement parking be banned?

 
"The people with blue badges clog up our streets and usually it's not anybody struggling as off they pop to play bowls, fitter than me half of them."

Your ignorance is typical of the majority of the population who think that blue badge holders all have a physical disability and not a mental (hidden disability) like autism.

Also the assumption is that the driver is the badge holder and not one of the passengers e.g. they assume that the sprightly bloke in his early 50's is conning the system when his son (the blue badge holder) in the rear of the vehicle has no speech, lives in his own world and is scared of closed in spaces, crowds, dogs etc.

Do us all a favour and educate yourselves, before you assume anything. Not all disabilities are physical and obvious and not all blue badge holders are drivers, they are passengers ffs.
IP: Logged
Jonny_Rondos_Disco_pants Posted on 09/09/2019 18:30

Should pavement parking be banned?

 
Put car charging points along the kerbside to stop it [;)]
IP: Logged
DCI_Gene_Hunt Posted on 09/09/2019 18:39

Should pavement parking be banned?

 
100% it should.

Sick of having to walk in the road cos lazy XXXXXXs just block the pavements.

Saw an old biddy last week having to walk round a car in the road nearly get wiped out by a taxi driver doing at least 40 in a 20 zone
IP: Logged
Borosmoggy Posted on 09/09/2019 18:43

Should pavement parking be banned?

 
What grinds my teeth are the houses witha drive that never get used by the occupants cars.
The other is the grass verge out the front of some houses the have front garden then a path and grass edge to road . Its seen as a place to park off the road (half on path and other half on the grass bit)and in winter cuts up and totally ruins the verge.
IP: Logged
mendieta420 Posted on 09/09/2019 19:20

Should pavement parking be banned?

 
My son is a wheelchair user and this is literally awful for us on a daily basis.
IP: Logged
dragged_up_in_whinneybanks Posted on 09/09/2019 19:37

Should pavement parking be banned?

 
Currently, I am in Athens. Here they take pavement parking to a new level, to the extent that a lot of pedestrians are forced to walk on the road.
IP: Logged
boromike85 Posted on 09/09/2019 20:12

Should pavement parking be banned?

 
A lot of our roads weren't designed for the number of cars we have and so parking on the pavement is the only option to prevent the road being blocked. Being half on should still allow people to get past on the pavement easily. Some people are just ignorant of other people though and will break the rules whatever. There aren't enough enforcers so the rules are irrelevant.

The people that block pavements are probably the same ones that park in disabled or parent & child spaces. They don't care because they know they won't be punished.
IP: Logged
homesickblues Posted on 09/09/2019 21:30

Should pavement parking be banned?

 
Someone has spent a fortune constructing the new road to the football stadium. Me and my dad with his walking stick walk on the road whilst the cars park on the footpath. Crazy.
IP: Logged
Barnsy Posted on 09/09/2019 21:35

Should pavement parking be banned?

 
'I'd prefer it was left a grey area....'

It isn't a grey area.
IP: Logged
Holgatewall Posted on 09/09/2019 21:41

Should pavement parking be banned?

 
No room for parking even a small car now.And most homes have more than one car.

I'm against tarmacing driveways as this causes drainage problems.

What can be done?
IP: Logged
Hapas Posted on 09/09/2019 21:55

Should pavement parking be banned?

 
People with more cars than bedrooms is the problem.
IP: Logged
Sortie Posted on 09/09/2019 21:59

Should pavement parking be banned?

 
Ensure each new house had adequate parking facilities and include a covenant to prevent parking on the public highway,
stop allowing planning rules allowing the conversion of parking/garages to other use
introduce parking restrictions by permit parking (OK difficult in existing areas) Opposite me there's one house that has 4 vehicle, 3 parking permits and they insist on parking in front of other house where permits aren't required, to make matters they have rear access and a double garage that they refuse to use except when they go on holiday. It's that bad now it is alleged that another neighbour poured a jar of honey over the windscreen of another car.

If people want more vehicles than they've got space for perhaps they should consider moving.
IP: Logged
bear66 Posted on 09/09/2019 22:33

Should pavement parking be banned?

 
"It isn't a grey area."

It is a grey area. Apart from London it is not illegal to park on a pavement. But the Highway Code 'advises' not to park on a pavement.
IP: Logged
whatdoyoubench Posted on 09/09/2019 23:20

Should pavement parking be banned?

 
Was helping my niece move in to her new house a week back and couldn’t believe how narrow the roads were!

The houses were so close to the road, and each other, and there were cars double parked everywhere.

I was also very surprised by how many 40k cars were outside of 140k houses but that’s for another time
IP: Logged
Sortie Posted on 10/09/2019 00:22

Should pavement parking be banned?

 
whatdoyoubench, those £40k cars to which you refer are probably leased on low mileage contracts which means they rarely move but look good to the neighbours.
IP: Logged
xxlshirts_fit_all Posted on 10/09/2019 07:46

Should pavement parking be banned?

 
all these people blaming old designed streets need to remember owning a car is not a god given right, if you buy a house without the facilities, you should have to find alternative arrangements to park safely and legally if they ban it...

i bricked my drive to get 3 cars on it to keep them off the road...
IP: Logged
Anton_Berg Posted on 10/09/2019 07:48

Should pavement parking be banned?

 
'i bricked my drive'

Now the next street floods when it rains.
IP: Logged
TheFair86 Posted on 10/09/2019 08:46

Should pavement parking be banned?

 
“whatdoyoubench, those £40k cars to which you refer are probably leased on low mileage contracts which means they rarely move but look good to the neighbours.”

Yeah I am sure that people are signing up to pay £300+/month purely because it looks good to the neighbours and not because it’s a car they’d rather drive than a banged up 10 year old Astra.

I don’t do leases or pcp myself but always amuses me how much it upsets people to the point they make these sort of assumptions about those that do.
IP: Logged
Wev1 Posted on 10/09/2019 08:49

Should pavement parking be banned?

 
I don't see a problem if a car leaves 1m width for pedestrians, the same as you have to allow when putting up barriers for utilities.

Tight roads don't need a footpath either side, let the cars use one side, as in all of the footpath, like a road extension and park against the kerb on the other, if it's seriously crowded and there's space.

No harm in people crossing the road to use an open footpath on the opposite side, providing there's suitable crossing areas and ramps for wheelchair users etc.

End of the day, there's going to be more and more personal cars, until driverless cars are a thing. Having electric driverless taxis should be extremely cheap after a few years once the tech is fully in place and becomes more cost effective. They could even pick up others on route for those who selected a "fare sharing" check box (as the route would already be programmed).

I don't know why the current massive busses are still in service on most routes, I can't recall the last time I seen one with more than 10 people on it. That can't be cost effective or good for the environment. They will hopefully do away with these and swap them for electric/ driverless/ accessible minibuses.

Fair enough having the large busses running at peak times, but smaller buses and more frequent at lighter times would encourage more people to use them. Most people won't wait 30 minutes for a bus, that may be late and have a million stops. They could even have busses stopping at alternate stops if they were more frequent at busier times, to speed up the journeys.
IP: Logged
boromike85 Posted on 10/09/2019 10:02

Should pavement parking be banned?

 
"all these people blaming old designed streets need to remember owning a car is not a god given right, if you buy a house without the facilities, you should have to find alternative arrangements to park safely and legally if they ban it..."

Not everyone has the luxury of being able to buy a house big enough to park multiple cars. Are you saying only people without cars should live on terraced streets etc.?

My current street everyone has a drive and space outside their house and there are gaps with no houses where extra cars can park etc and it isn't an issue. The pavements are quite wide so you can park on and there's still plenty of room to get past.

My last house was an old 2 bed terrace turned into a 4 bed that I shared with 3 other adults. No designated parking so all cars were on the road. It was made into a one-way street so cars could double park without being on the very narrow pavement but it shows that the way we live now is not always compatible. We didn't all have cars at the time but we could've potentially had 4 cars in that house. There isn't enough parking for people and we weren't in a position to share a house big enough for 4 cars on a drive. It's not a right to have a car but with public transport as it is then it is often a necessity.
IP: Logged
boro19 Posted on 10/09/2019 11:07

Should pavement parking be banned?

 
Well hope they are building car parks in every street as I mean if car's just parked at side of road on both sides the road be blocked
IP: Logged
newusername Posted on 10/09/2019 11:32

Should pavement parking be banned?

 
"It isn't a grey area.

It is a grey area."

I'm minded to agree it isn't a grey area but lack of enforcement has made it into one.

There is no common law right to leave a vehicle on the highway or the footway, it is against the law to drive on the footway (so how do you park on it without driving on it?) and you can't create an obstruction on highway.

It just hasn't been enforced & now people think they can park how they want, enforcement is a money making scheme & an infringement of their civil liberties.
IP: Logged
Holgatewall Posted on 10/09/2019 11:42

Should pavement parking be banned?

 
The main problem is access for aged and disabled and Prams.

Very difficult if wheelchair or a pram needs to get down a path with a car parked on it.

IP: Logged
bear66 Posted on 10/09/2019 11:43

Should pavement parking be banned?

 
In that case people can't drive on to their drives.

They can if there is a dropped kerb though. So this serious offence of driving on a footway is fine in certain circumstances.
IP: Logged
newusername Posted on 10/09/2019 11:49

Should pavement parking be banned?

 
"In that case people can't drive on to their drives."

"They can if there is a dropped kerb though."

Both statements are correct.

If you build a drive on your property but don't get a dropped kerb put in by the Council so you can access it, you are committing an offence by driving over the footway onto your drive.
IP: Logged
TheFair86 Posted on 10/09/2019 12:44

Should pavement parking be banned?

 
Our street is an odd one, we have a double garage and a drive big enough to fit 5 cars on (we used to have 2 cars, now just 1, so loads more than we need), yet rest of the street is single/double garage and 2 cars space. as most people these days use garages for storage and not cars, or even convert them, this leads to a lot of on street parking. Our next door neighbour has 1 garage space which he has converted to a cinema room, and enough space for about 1.5 cars, yet has a massive Jeep and a 5 series, and his mother in law is over about 3 nights a week. Would drive me mental.

We don't have a footpath on most of the street, so people just park on the street itself. Glad we don't have any issues with that but must be frustrating for everyone else.

Our back garden backs onto the street as our house faces the other way to every other house but one - weird layout but its class in summer when every f'cker is in their back garden and ours is south facing and quiet. But as a result, the grass verge behind our fence was constantly getting mounted by people parking their cars there. We solved this by digging all the grass out, putting some slate down, putting box planters in with some shrubs and flowers and filling the rest of the gap with some large rocks, making it uninviting for people to park there as means likely to hit something with their door. Bit of a pain but looks better than a strip of dull grass and stops people mounting our verge all the time (its definitely ours and not a council verge).
IP: Logged
shaboro1986 Posted on 10/09/2019 13:27

Should pavement parking be banned?

 
Go down Greenland Avenue in Whinney Banks.
They have taken the walls down and tried to park their cars outside the front of the window. Yet the @rse end is sticking right over the pavement.Yet nothing has been done about it by the council. The worse culprit is a woman who works for the council with a massive 4x4 which she has banged into other cars and the porch of her house many times. Whilst trying to park
IP: Logged
newusername Posted on 10/09/2019 14:23

Should pavement parking be banned?

 
"Go down Greenland Avenue in Whinney Banks.
They have taken the walls down and tried to park their cars outside the front of the window. Yet the @rse end is sticking right over the pavement.Yet nothing has been done about it by the council."

Ooh that is bad.

Link: Streetview
IP: Logged
newusername Posted on 10/09/2019 14:30

Should pavement parking be banned?

 
Give the council a call and ask an innocent question about whether you can do it yourself.

"Are you sure I can't, as the people at 20, 18, 16, 45 & 47 have all done it"

Link: Call the council on 01642 728156
IP: Logged
Tryasize11 Posted on 10/09/2019 17:07

Should pavement parking be banned?

 
Scraping "see you next Tuesday" into the paintwork on the bonnet of offending vehicles should be allowed.
IP: Logged
Dibzzz Posted on 10/09/2019 18:12

Should pavement parking be banned?

 
It's all about considerate parking, sometimes, with narrow streets, you have to park on the kirb a bit to allow traffic to flow, but be mindful of leaving space for wheelchairs, pushchairs etc.

Some of the completely ignorant and totally inconsiderate pavement hogging that goes on is shocking like.
IP: Logged
Dibzzz Posted on 10/09/2019 18:19

Should pavement parking be banned?

 
Or just install spikes along every kerb in Britain, like the Ayresome Park fencing.

"That'll learn the doyles!"
IP: Logged
Trug Posted on 10/09/2019 18:30

Should pavement parking be banned?

 
Somebody who parks on the pavement and whose cars paintwork is damaged by someone in a wheelchair or pushing a pushchair can't really moan about it.
Yes I know some roads are too narrow to park but roads are not for pushchairs or wheelchairs, pavements are for people to walk safely on away from traffic.
And no, I don't know what the answer is but I do worry when I see a blind man who lives round the corner from me walking on the road because he cannot walk on the pavement or a young mother pushing her baby on the road in the pushchair.
IP: Logged
Clingon33 Posted on 11/09/2019 07:39

Should pavement parking be banned?

 
Also an invention is required that gives an electric shock to anyone putting a mattress in the alleys or an ironing board and weights bench on top of a wheelie bin.

Blame the Council me like
IP: Logged
Clingon33 Posted on 11/09/2019 07:48
Edited On: 11/09/2019 07:50
Should pavement parking be banned?

 
Ps neither of those things should be in the wheelie bin either, some of you may think that is obvious, but really, to a lot of people it isnae.



Ffs

No!!!! Mattresses canna go in the bin either
IP: Logged
r00fie1 Posted on 11/09/2019 07:52

Should pavement parking be banned?

 
A cultural change of mindset and a cheap fast reliable alternative is the only way we as a country will reduce reliance on the car.

We cant continue to dig up more of our countryside and demolish inner cities for ring - roads ad infinitum.



IP: Logged
Corcaigh_the_Cat Posted on 11/09/2019 08:05

Should pavement parking be banned?

 
No, but we can for a long time yet. Don't expect any forward planning in this weird country.
IP: Logged
wyliefan Posted on 11/09/2019 08:05

Should pavement parking be banned?

 
It's as simple as Dibzzz says above. People need to park considerately for all parties. If that's done by everybody then it'll work out fine.
IP: Logged
bear66 Posted on 11/09/2019 08:07

Should pavement parking be banned?

 
About 1.3% of the UK is built on (housing, factories, businesses, roads).
IP: Logged
Anton_Berg Posted on 11/09/2019 08:10

Should pavement parking be banned?

 
' the @rse end is sticking right over the pavement.'

If it's any consolation, you get a lot of that in affluent areas of London where they have Bentleys etc.

Another issue is the apparent 'human right' to have a dropped kerb outside your house. Is there a calculation anywhere of how much parking space is lost to dropped kerbs vs. the gain in having cars parked off-road (that is, when the owner is at home)?
IP: Logged
TheFair86 Posted on 11/09/2019 09:10

Should pavement parking be banned?

 
They will only allow a dropped kerb if there’s a set amount of space on the drive to be used for parking, you wouldn’t get one agreed for a small one person drive - I see threads about it on mse all the time where people have bought a house with no parking and have had the allocation refused

If it is accepted, you then have to use council contractors as apparently it costs a bomb

The only time you don’t need consent isn if there no footpath in front of your house. But you still need to use council contractors in that case because it’s modifying the highway. It’s £300-£1500 with most councils depending how many kerbs, so you can see why most just drive over...

IP: Logged
Anton_Berg Posted on 11/09/2019 09:15

Should pavement parking be banned?

 
Thanks for that. What if you drive over onto your forecourt and then someone blocks your exit?
IP: Logged
hopesoboro Posted on 11/09/2019 09:19

Should pavement parking be banned?

 
How do you park "the wrong way round on a street"?
IP: Logged
newusername Posted on 11/09/2019 09:32

Should pavement parking be banned?

 
"How do you park "the wrong way round on a street"?"

Facing traffic, unless it is a marked parking space.
IP: Logged
Paulroddam7 Posted on 11/09/2019 09:44

Should pavement parking be banned?

 
Upside down
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103